Name: kde-edu-kbruch
Summary: Practice calculating with fractions
Group:   Graphical desktop/KDE4
Version: 14.12.3
Release: %mkrel 3
License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/%{name}
Source0: http://download.kde.org/stable/%{version}/src/kbruch-%{version}.tar.xz
BuildRequires: kdelibs-devel
Requires: kde-runtime

%description
KBruch is a small program to practice calculating with fractions.

%files
%defattr(-,root,root)
%{_kde_bindir}/kbruch
%{_kde_datadir}/applications/kde4/kbruch.desktop
%{_kde_datadir}/appdata/kbruch.appdata.xml
%{_kde_datadir}/config.kcfg/kbruch.kcfg
%{_kde_iconsdir}/hicolor/*/*/kbruch.*
%{_kde_appsdir}/kbruch/
%{_mandir}/man1/kbruch.*
%{_kde_docdir}/HTML/*/kbruch/*

%prep
%setup -q -n kbruch-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 14.12.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
